!include "WordFunc.nsh"
!insertmacro VersionCompare


!define CustomCodePreInstall "!insertmacro CustomCodePreInstall"


!macro CustomCodePreInstall
	
	;=== read the version for the App from local appinfo.ini
	ReadINIStr $0 "$INSTDIR\App\AppInfo\appinfo.ini" "Version" "PackageVersion"

	${VersionCompare} "$0" "${VERSION}" $R0
	;=== compare version entr
	${Select} $R0
	${Case} 0
		;=== installer version is equal
		
	${CaseElse}
		;=== wrong version 
		MessageBox MB_OK `$(invaliddirectory) - $(notfound)`
		Abort
	${EndSelect}
!macroend
